## netplan.io 1.0

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -c . -d .sphinx/.doctrees
SPHINXBUILD   ?= sphinx-build
SPHINXDIR     = .sphinx
SOURCEDIR     = .
BUILDDIR      = _build
VENVDIR       = $(SPHINXDIR)/venv
VENV          = $(VENVDIR)/bin/activate
SHELL         = /usr/bin/bash

.PHONY: help woke-install install run html epub serve clean clean-doc \
        spelling linkcheck woke Makefile

# Put it first so that "make" without argument is like "make help".
help: $(VENVDIR)
	@. $(VENV); $(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Explicit target avoids fall-through to the "Makefile" target.
$(SPHINXDIR)/requirements.txt:
	test -f $(SPHINXDIR)/requirements.txt

# If requirements are updated, venv should be rebuilt and timestamped.
$(VENVDIR): $(SPHINXDIR)/requirements.txt
	@echo "... setting up virtualenv"
	python3 -m venv $(VENVDIR)
	. $(VENV); pip install --require-virtualenv \
	    --upgrade -r $(SPHINXDIR)/requirements.txt \
            --log $(VENVDIR)/pip_install.log
	@test ! -f $(VENVDIR)/pip_list.txt || \
            mv $(VENVDIR)/pip_list.txt $(VENVDIR)/pip_list.txt.bak
	@. $(VENV); pip list --local --format=freeze > $(VENVDIR)/pip_list.txt
	@echo "\n" \
        "--------------------------------------------------------------- \n" \
        "* watch, build and serve the documentation: make run \n" \
        "* only build: make html \n" \
        "* only serve: make serve \n" \
        "* clean built doc files: make clean-doc \n" \
        "* clean full environment: make clean \n" \
        "* check links: make linkcheck \n" \
        "* check spelling: make spelling \n" \
        "* check inclusive language: make woke \n" \
        "* other possible targets: make <press TAB twice> \n" \
        "--------------------------------------------------------------- \n"
	@touch $(VENVDIR)

woke-install:
	@type woke >/dev/null 2>&1 || \
            { echo "Installing \"woke\" snap... \n"; sudo snap install woke; }

install: $(VENVDIR) woke-install

run: install
	. $(VENV); sphinx-autobuild -b dirhtml "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) --re-ignore '\.sphinx/breathe/doxygen/.*'

# Doesn't depend on $(BUILDDIR) to rebuild properly at every run.
html: install
	. $(VENV); $(SPHINXBUILD) -b dirhtml "$(SOURCEDIR)" "$(BUILDDIR)" -w .sphinx/warnings.txt $(SPHINXOPTS)

epub: install
	. $(VENV); $(SPHINXBUILD) -b epub "$(SOURCEDIR)" "$(BUILDDIR)" -w .sphinx/warnings.txt $(SPHINXOPTS)

serve: html
	cd "$(BUILDDIR)"; python3 -m http.server 8000

clean: clean-doc
	@test ! -e "$(VENVDIR)" -o -d "$(VENVDIR)" -a "$(abspath $(VENVDIR))" != "$(VENVDIR)"
	rm -rf $(VENVDIR)
	rm -rf .sphinx/.doctrees

clean-doc:
	git clean -fx "$(BUILDDIR)"

spelling: html
	. $(VENV) ; python3 -m pyspelling -c .sphinx/spellingcheck.yaml

linkcheck: install
	. $(VENV) ; $(SPHINXBUILD) -b linkcheck "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS)

woke: woke-install
	woke *.{md,c,py} **/*.{md,c,py} --exit-1-on-failure \
	    -c https://github.com/canonical/Inclusive-naming/raw/main/config.yml

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	. $(VENV); $(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== doc/.sphinx/requirements.txt ===
breathe
furo
linkify-it-py
lxd-sphinx-extensions
myst-parser
pyenchant
pyspelling
sphinx
sphinx-autobuild
sphinx-copybutton
sphinx-design
sphinx-notfound-page
sphinx-reredirects
sphinx-tabs
sphinxcontrib-jquery
sphinxext-opengraph

=== debian/changelog ===
netplan.io (1.0-2ubuntu1.2) noble-security; urgency=medium

  * SECURITY REGRESSION: failure on systems without dbus
    - debian/netplan-generator.postinst: Don't call the generator if no
      networkd configuration file exists. (LP: #2071333) 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Fri, 28 Jun 2024 22:40:44 +0530

netplan.io (1.0-2ubuntu1.1) noble-security; urgency=medium

  * SECURITY UPDATE: weak permissions on secret files, command injection
    - d/p/lp2065738/0014-libnetplan-use-more-restrictive-file-permissions.patch:
      Use more restrictive file permissions to prevent unprivileged users to
      read sensitive data from back end files (LP: #2065738, #1987842)
    - CVE-2022-4968
    - d/p/lp2066258/0015-libnetplan-escape-control-characters.patch:
      Escape control characters in the parser and double quotes in backend
      files.
    - d/p/lp2066258/0016-backends-escape-file-paths.patch:
      Escape special characters in file paths.
    - d/p/lp2066258/0017-backends-escape-semicolons-in-service-units.patch:
      Escape isolated semicolons in systemd service units. (LP: #2066258)
  * debian/netplan-generator.postinst: Add a postinst maintainer script to call
    the generator. It's needed so the file permissions fixes will be applied
    automatically, thanks to danilogondolfo 

 -- Sudhakar Verma <sudhakar.verma@canonical.com>  Tue, 25 Jun 2024 00:13:00 +0530

netplan.io (1.0-2ubuntu1) noble; urgency=medium

  * debian/patches/lp2060311/, LP: #2060311
    Fix wait-online via s-n-wait-online.service.d/10-netplan.conf.
    Using an override config file for systemd-networkd-wait-online.service,
    specifing all the individual, non-optional interfaces to wait for and not
    enabling the s-n-wait-online.service at all when all interfaces are
    optional.
  * d/libnetplan1.symbols: Update for new (private) symbol

 -- Lukas Märdian <slyon@debian.org>  Thu, 18 Apr 2024 14:07:08 +0200

netplan.io (1.0-2) unstable; urgency=medium

  [ Lukas Märdian ]
  * Versioned dep on meson >= 1.3.0 for python.limited_api (Closes: #1066889)
  * d/control: downgrade python3-rich to Recommends.

  [ Danilo Egea Gondolfo ]
  * debian/netplan.io.preinst.
    Add a preinst maintainer script for netplan.io to cleanup .pyc cached
    files. Due to these files, the directory /usr/share/netplan/netplan is
    not being removed after the python3-netplan package split. By removing
    these files (and __pycache__ directories), dpkg can remove the old
    directory during upgrade.
  * d/p/0002-parse-nm-add-a-workaround-for-the-DoT-DNS-option.patch.
    Workaround to prevent parse-nm to generate invalid DNS entries in the
    resulting YAML if SNI is used. (LP: #2055148)

 -- Lukas Märdian <slyon@debian.org>  Thu, 28 Mar 2024 12:47:41 +0100

netplan.io (1.0-1) unstable; urgency=medium

  * New upstream release 1.0:
    - state/status: add support for identifying bridge/bond/vrf members !420
    - Netplan status --diff !440
    - Netplan state diff !386
    - allow COMMON_LINK_HANDLERS for VRFs (LP: #2031421, Closes: #1049432) !401
    - netplan: add support for WPA3-Enterprise (LP: #2029876) !402
    - wifi: support WPA2 and WPA3 Personal simultaneously !404
    - auth: add support for LEAP and EAP-PWD (LP: #2038811) !415
    - wifi: allow having a psk and an eap password simultaneously !416
    - Migrate CriticalConnection to KeepConfiguration (LP: #1896799) !424
    - apply: bring "lo" back up if it's managed by NM (LP: # 2034595) !408
    - Post 0.107 cleanup & dropping API/ABI compat !400
    - ABI: Refactoring for libnetplan.so.1 !434
    - Add additional bridge port settings !410
    - SR-IOV improvements (VF-LAG support) !439
    Documentation:
    - Add spelling checking to the CI !417
    - doc: libnetplan API reference, using Doxygen and Sphinx.breathe !423
    - doc: Update 'Netplan everywhere' for 23.10 !418
    - added mii-monitor-interval !411
    - Adopt Docs Starter Pack !429
    - Fix howto docs !430
    - docs: add a topic about security !433
    - Document and restructure libnetplan's public API symbols !438
    - Lang. & formatting fixes in API docs. !441
    - Update examples.md !442
    Bug fixes:
    - GitHub CI fixes !405
    - util: don't return a placeholder netdef in the iterator !406
    - tunnels/validation: do not error out if "local" is not defined !407
    - cli/sriov: remove unused code !435
    - wireguard: ignore empty endpoints (LP: #2038811) !414
    - parse: improve the parsing of access-points (LP: #1809994) !413
    - tests: Add autopkgtest for LP: #1959570 !419
    - Fix permissions on folder '/run/NetworkManager/' !422
    - parse-nm/wg: append the correct prefix to IPv6 (LP: #2046158) !428
    - disable StartLimitBurst in the ovs-cleanup service (LP: #2047827) !431
    - ctests: stop including C files in the test files !432
    - workflow/coverity: install missing dependencies !436
    - state_diff: fix filtering of host scoped routes !426
    - sriov: don't generate duplicate entries in the rebind.service file !437
    - check if ovsdb-server.service is active before displaying warning !421
    - parser: accept the special MAC address options (LP: #2045096) !427
    - CI: fix NetworkManager autopkgtest not using deb822 !443
    - tests: Be less strict about systemctl daemon-reload (LP: #2048388)
    - Netplan status --diff refactoring !444
  * d/netplan-generator.install: Fix PLACEHOLDER location
  * d/netplan-generator.lintian-overrides: Clean up unused override
  * d/source/options: Ignore .envrc (direnv)
  * d/control: pkg-config -> pkgconf
  * d/rules: Make use of -Dpython.bytecompile=-1
  * d/control: Update short description
  * d/control,d/libnetplan1.symbols: Prepare for libnetplan1 SOVER bump
  * d/control: Add iproute2 build-dep (for running tests)
  * d/rules: Drop removal of legacy symlink (integrated in meson)
  * d/t/control: execute netplan diff test cases
  * d/patches: Drop patches, applied upstream


=== debian/control ===
Source: netplan.io
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Netplan Maintainers <team+netplan@tracker.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
 Lukas Märdian <slyon@debian.org>,
Section: net
Priority: optional
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 bash-completion,
 libyaml-dev,
 libglib2.0-dev,
 uuid-dev,
 python3,
 python3-cffi,
 python3-coverage <!nocheck>,
 python3-dbus <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-rich <!nocheck>,
 python3-yaml <!nocheck>,
 python3-netifaces <!nocheck>,
 libcmocka-dev,
 libpython3-dev,
 libsystemd-dev,
 systemd <!nocheck>,
 systemd-dev,
 dbus-x11 <!nocheck>,
 pyflakes3 <!nocheck>,
 pycodestyle <!nocheck> | pep8 <!nocheck>,
 pandoc,
 openvswitch-switch [ !armel !armhf !i386 !hppa !m68k !powerpc !sh4 !x32 ] <!nocheck>,
 meson (>= 1.3.0),
 iproute2 <!nocheck>,
Vcs-Git: https://salsa.debian.org/debian/netplan.io.git
Vcs-Browser: https://salsa.debian.org/debian/netplan.io
Homepage: https://netplan.io/

Package: netplan.io
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 iproute2,
 libnetplan1 (= ${binary:Version}),
 netplan-generator,
 python3,
 python3-dbus,
 python3-netplan,
 python3-netifaces,
 python3-yaml,
 systemd (>= 248~),
Recommends:
 python3-rich,
Description: Declarative network configuration for various backends
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.

Package: netplan-generator
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libnetplan1 (= ${binary:Version}),
 systemd (>= 248~),
Suggests:
 network-manager | wpasupplicant,
 openvswitch-switch,
 iw,
Breaks: netplan.io (<< 0.106.1-8~),
Replaces: netplan.io (<< 0.106.1-8~),
Description: Declarative network configuration systemd-generator
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package provides a systemd-generator to configure networking daemons
 at boot time.

Package: python3-netplan
Section: python
Architecture: linux-any
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libnetplan1 (= ${binary:Version}),
 python3,
 python3-cffi-backend,
Breaks: netplan.io (<< 0.107-3~)
Replaces: netplan.io (<< 0.107-3~)
Description: Declarative network configuration Python bindings
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package provides a CFFI based Python bindings to libnetplan.

Package: libnetplan1
Section: libs
Architecture: linux-any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Declarative network configuration runtime library
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package contains the necessary runtime library files.

Package: libnetplan-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
 libnetplan1 (= ${binary:Version}),
Description: Development files for Netplan's libnetplan runtime library
 netplan reads YAML network configuration files which are written
 by administrators, installers, cloud image instantiations, or other OS
 deployments. During early boot it then generates backend specific
 configuration files in /run to hand off control of devices to a particular
 networking daemon.
 .
 Currently supported backends are networkd and NetworkManager.
 .
 This package contains development files for developers wanting to use
 libnetplan in their applications.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=meson

override_dh_auto_clean:
	dh_auto_clean
	make clean

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dpython.purelibdir=/usr/lib/python3/dist-packages \
		-Dpython.platlibdir=/usr/lib/python3/dist-packages \
		-Dpython.bytecompile=-1

=== debian/tests/control ===
Test-Command: (systemctl is-active openvswitch-switch.service || exit 77) && ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=ovs
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  openvswitch-switch,
Restrictions: allow-stderr, needs-root, isolation-container, skip-not-installable, skippable
Features: test-name=ovs

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=ethernets
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  ethtool,
Restrictions: allow-stderr, needs-root, isolation-container
Features: test-name=ethernets

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=bridges
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-container
Features: test-name=bridges

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=bonds
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-container
Features: test-name=bonds

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=routing
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-container
Features: test-name=routing

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=vlans
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
Restrictions: allow-stderr, needs-root, isolation-container
Features: test-name=vlans

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=wifi
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,
  hostapd,
  wpasupplicant,
  dnsmasq-base,
  libnm0,
  python3-gi,
  gir1.2-nm-1.0,
  iw,
Restrictions: allow-stderr, needs-root, isolation-container, flaky
Features: test-name=wifi

Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=tunnels
Tests-Directory: tests/integration
Depends: @,
  systemd-resolved | systemd (<< 251.3-2~),
  network-manager,

## netplan.io 1.0.1

=== debian/changelog ===
netplan.io (1.0.1-1ubuntu2~24.04.1) noble; urgency=medium

  * Backport netplan.io 1.0.1-1ubuntu2 to 24.04 (LP: #2074197):
    - sriov: accept setting the eswitch mode without VFs (LP: 2020409)
    - cli/sriov: refactoring
    - tests: use proper 0o600 file permissions in more places
    - doc: Adding missing 'watchfiles' dependency for Sphinx
    - doc: Minor fixes in lang. and mark-up in YAML reference
    - doc: Tutorial reorg & lang. + formatting improvements
    - networkd: add wait-online enumeration utils
    - generate: enable systemd-networkd-wait-online for non-optional interfaces
    - CLI:utils: Do not ask for daemon-reload password interactively
    - CLI:generate: call daemon-reload after (re-)generating services
    - wait-online: Do not block on loopback interface
    - generate: Do not touch wait-online, if we don't have any networkd NetDefs
    - wait-online: wait for existing interfaces only and downgrade operational
      state for interfaces without IP configuration
    - wait-online: account for DHCPv4/v6 addresses
    - wait-online: do not require virtual devices to be created already
    - wait-online: recognize that bridge/bond members will never gain
      link-local addresses
    - networkd:apply: Drop handling of legacy wpa@ instance units
    - wait-online: disabled wait-online for stable 1.0
    - test:integration: Try to improve test flakyness
    - autopkgtest: More fixes for flaky 'ethernets' test
    - Increase some test timeouts to account for slow (riscv64) buildds
    SECURITY UPDATE:
    - libnetplan: use more restrictive file permissions
      (Closes: #1072789, LP: 2065738, LP: 1987842)
    - CVE-2022-4968
    - libnetplan: escape control characters
    - backends: escape file paths
    - backends: escape semicolons in service units (LP: 2066258)
    Bug fixes:
    - cli: Fix logging setup when python-rich is not present
    - CI: fix DebCI case for no-change rebuilds
    - CI: adopt autopkgtest for 1.0-1 on 22.04
    - doc: Update README, move CODE_OF_CONDUCT
    - doc: fix en_GB spelling
    - CI: adopt snapd.patch for autopkgtest SRU (LP: 2051939)
    - parse-nm: add a workaround for the DoT DNS option  (LP: 2055148)
    - CI: Install netplan-ci PPA
    - parse: don't remove datalist items during iteration
    - ATTN: parse/bonds: handle same primary in multiple bonds
    - parse/bonds: don't fail on primary reassignment
    - cli/sriov: set eswitch regardless of pcidev.vfs
    - doc: Fix wrong bonds.parameters.mode syntax in example
    - parse: fix redefinition of gateway(4|6)
    - doc:tutorial: fix whitespace formatting
    - util: fix potential NULL pointer assert
    - python: elements of __all__ must be strings
    - tests: fix diff test with iproute2 6.8
    - cli/generate: skip daemon_reload with --mapping
    - test: cleanup after wait_online test to fix DebCI
    - CI: fork spread to get !179 fixes
    - doc: Fix netplan-generate.md formatting !483
    - emitter: allow unicode characters in the emitter (LP: 2071652)
    - parse: do not escape all non-ascii bytes
  * d/t/control: 'diff' autopkgtest is not flaky anymore
  * d/patches: Drop patches, applied upstream
  * d/p/0002-CLI-apply-call-udevadm-trigger-using-action-add-Clos.patch:
    Update 'udevadm trigger' patch, using MOVE action (LP: 2071363)
  * d/p/0003-Revert-wait-online-disabled-wait-online-for-stable-1.patch:
    Fix wait-online via s-n-wait-online.service.d/10-netplan.
  * debian/netplan-generator.postinst: Add a postinst maintainer script to call
    the generator, so the file permissions fixes will be applied automatically.
  * d/libnetplan1.symbols:
    - Update for new internal wait-online symbol
    - Update for new (private) symbol
  * d/copyright: Update for 2024

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Wed, 17 Jul 2024 18:12:26 +0100

=== debian/control ===
--- 
+++ 
@@ -27,6 +27,7 @@
  libcmocka-dev,
  libpython3-dev,
  libsystemd-dev,
+ udev <!nocheck>,
  systemd <!nocheck>,
  systemd-dev,
  dbus-x11 <!nocheck>,

## netplan.io 1.1

=== debian/changelog ===
netplan.io (1.1-1) unstable; urgency=medium

  * New upstream release: 1.1
    - CI: adopt autopkgtest for 1.0-1 on 22.04
    - tools/keyfile_to_yaml: display the generated YAML
    - tests: import the config fuzzing tests
    - ATTN: parse/bonds: handle same primary in multiple bonds
    - sriov: accept setting the eswitch mode without VFs (LP: #2020409)
    - Custom systemd-networkd-wait-online override to wait on interfaces.
      (Closes: #1008995) (LP: #2060311)
    - Ignore bad NetDefs and files via parser flags
    - networkd:apply: Drop handling of legacy wpa@ instance units
    - migrate: support aliases
    - networkd: add ipv6 ra overrides (LP: #1973222)
    - netplan status --diff fixes and improvements
    - apply: make sure that networkd is restarted when needed
    - Don't escape certain non-ascii characters
    - networkd: make s-n-wait-online wait for at least one routable interface
    - networkd: Implement ipv6-address-generation: stable-privacy
    - Implementing advmss ip route option
    - meson: Add 'testing' option
    - Add a scheduled workflow to run TICS
    - ci: migrate to Ubuntu 24.04
    - Prepare Netplan v1.1
    Documentation:
    - Fix wrong syntax in example
    - Tutorial improvements
    - added guide for contributing to the netplan documentation
    - Add initial SECURITY.md policy
    - Create single-nic-vm-host.md
    - Create single-nic-vm-host-with-vlans.md
    - Create multi-nic-vm-host-with-bonds-and-vlans.md
    - bullet point removal
    - Add netplan try to netplan tutorial
    - Update the docs checks runner to ubuntu-latest
    - Add spelling exceptions
    Bug fixes:
    - Fix logging setup when python-rich is not present
    - parse-nm: add a workaround for the DoT DNS option (LP: #2055148)
    - parse: don't remove datalist items during iteration
    - parse: fix redefinition of gateway(4|6)
    - python: elements of all must be strings
    - CI: Fix DebCI check, using newer 'meson' from unstable
    - tests: fix diff test with iproute2 6.8
    - cli/generate: skip daemon_reload with --mapping
    - CI: fork spread to get snapcore/spread#179 fixes
    - ctests: fix a memory leak in a unit test
    - nm/nd: fix a couple of crashes
    - test:integration: Try to improve test flakyness (Closes: #1069871)
    - Security fixes (CVE-2022-4968)
    - emitter: allow unicode characters in the emitter (LP: #2071652)
    - CLI:apply: call udevadm trigger, using --action=move
      (Closes: #1071220) (LP: #2066344, LP: #2071363)
    - CI: fix CodeQL permissions
    - ci: run meson tests with unbuffer
    - ci/tics: install "expect" as a dependency
    - generate: avoid calling 'udevadm control --reload' (LP: #1999178)
    - netplan ignores NetworkManager ipv4.route-metric (LP: #2076172)
    - Change default umask when creating dirctories (LP: #2076319)
  * d/patches/: Drop patches, applied upstream
  * d/control: Add udev as a test dependency
  * d/control: Fix typo in package description
  * d/libnetplan1.symbols: Update symbols file for v1.1

 -- Lukas Märdian <slyon@debian.org>  Wed, 14 Aug 2024 13:24:13 +0200

netplan.io (1.0.1-3) unstable; urgency=medium

  * d/control: Mark libcmocka-dev as a test-dependency
  * d/p/fix-manpage-title.patch: Add 'Forwarded' patch header
  * d/netplan-generator.lintian-overrides: Mute false positive systemd-diversion

 -- Lukas Märdian <slyon@debian.org>  Thu, 01 Aug 2024 15:13:24 +0900

netplan.io (1.0.1-2) unstable; urgency=medium

  [ Cyril Brulebois ]
  * d/p/fix-manpage-title.patch: Fix a typo in docs

  [ Lukas Märdian ]
  * d/t/control: Add python3-packaging test dependency for 'routing.py'
  * d/rules,d/p/testing.diff: Handle 'nocheck' option (Closes: #1071599)
  * d/control: Clarify package description (Closes: #1076445)

 -- Lukas Märdian <slyon@debian.org>  Mon, 29 Jul 2024 15:35:25 +0900

netplan.io (1.0.1-1) unstable; urgency=medium

  * New upstream release: 1.0.1:
    - sriov: accept setting the eswitch mode without VFs (LP: #2020409)
    - cli/sriov: refactoring
    - tests: use proper 0o600 file permissions in more places
    - doc:  Adding missing 'watchfiles' dependency for Sphinx
    - doc: Minor fixes in lang. and mark-up in YAML reference
    - doc: Tutorial reorg & lang. + formatting improvements
    - networkd: add wait-online enumeration utils
    - generate: enable systemd-networkd-wait-online for non-optional interfaces
    - CLI:utils: Do not ask for daemon-reload password interactively
    - CLI:generate: call daemon-reload after (re-)generating services
    - wait-online: Do not block on loopback interface
    - generate: Do not touch wait-online, if we don't have any networkd NetDefs
    - wait-online: wait for existing interfaces only and downgrade operational
      state for interfaces without IP configuration
    - wait-online: account for DHCPv4/v6 addresses
    - wait-online: do not require virtual devices to be created already
    - wait-online: recognize that bridge/bond members will never gain
      link-local addresses
    - networkd:apply: Drop handling of legacy wpa@ instance units
    - wait-online: disabled wait-online for stable 1.0
    - test:integration: Try to improve test flakyness
    - autopkgtest: More fixes for flaky 'ethernets' test
    -  Increase some test timeouts to account for slow (riscv64) buildds
    SECURITY UPDATE:
    - libnetplan: use more restrictive file permissions
      (Closes: #1072789, LP: #2065738, LP: #1987842)
    - CVE-2022-4968
    - libnetplan: escape control characters
    - backends: escape file paths
    - backends: escape semicolons in service units (LP: #2066258)
    Bug fixes:
    - cli: Fix logging setup when python-rich is not present
    - CI: fix DebCI case for no-change rebuilds
    - CI: adopt autopkgtest for 1.0-1 on 22.04
    - doc: Update README, move CODE_OF_CONDUCT
    - doc: fix en_GB spelling
    - CI: adopt snapd.patch for autopkgtest SRU (LP: #2051939)


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: netplan.io
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Netplan Maintainers <team+netplan@tracker.debian.org>
+Maintainer: Debian Netplan Maintainers <team+netplan@tracker.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Lukas Märdian <slyon@debian.org>,
 Section: net
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -24,7 +23,7 @@
  python3-rich <!nocheck>,
  python3-yaml <!nocheck>,
  python3-netifaces <!nocheck>,
- libcmocka-dev,
+ libcmocka-dev <!nocheck>,
  libpython3-dev,
  libsystemd-dev,
  udev <!nocheck>,
@@ -58,14 +57,17 @@
  systemd (>= 248~),
 Recommends:
  python3-rich,
-Description: Declarative network configuration for various backends
- netplan reads YAML network configuration files which are written
+Description: Declarative network configuration for various backends at runtime
+ Netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
  deployments. During early boot it then generates backend specific
  configuration files in /run to hand off control of devices to a particular
  networking daemon.
  .
  Currently supported backends are networkd and NetworkManager.
+ .
+ This package provides a runtime CLI to control the Netplan backends,
+ e.g. to re-generate configuration or apply changes.
 
 Package: netplan-generator
 Architecture: linux-any
@@ -81,8 +83,8 @@
  iw,
 Breaks: netplan.io (<< 0.106.1-8~),
 Replaces: netplan.io (<< 0.106.1-8~),
-Description: Declarative network configuration systemd-generator
- netplan reads YAML network configuration files which are written
+Description: Declarative network configuration for various backends at boot
+ Netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
  deployments. During early boot it then generates backend specific
  configuration files in /run to hand off control of devices to a particular
@@ -90,8 +92,8 @@
  .
  Currently supported backends are networkd and NetworkManager.
  .
- This package provides a systemd-generator to configure networking daemons
- at boot time.
+ This package provides a systemd-generator to configure various networking
+ daemons at boot time.
 
 Package: python3-netplan
 Section: python
@@ -106,7 +108,7 @@
 Breaks: netplan.io (<< 0.107-3~)
 Replaces: netplan.io (<< 0.107-3~)
 Description: Declarative network configuration Python bindings
- netplan reads YAML network configuration files which are written
+ Netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
  deployments. During early boot it then generates backend specific
  configuration files in /run to hand off control of devices to a particular
@@ -124,7 +126,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
 Description: Declarative network configuration runtime library
- netplan reads YAML network configuration files which are written
+ Netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
  deployments. During early boot it then generates backend specific
  configuration files in /run to hand off control of devices to a particular
@@ -141,7 +143,7 @@
 Depends: ${misc:Depends},
  libnetplan1 (= ${binary:Version}),
 Description: Development files for Netplan's libnetplan runtime library
- netplan reads YAML network configuration files which are written
+ Netplan reads YAML network configuration files which are written
  by administrators, installers, cloud image instantiations, or other OS
  deployments. During early boot it then generates backend specific
  configuration files in /run to hand off control of devices to a particular

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),nocheck)
    export NETPLAN_FLAGS="-Dtesting=false"
endif

%:
	dh $@ --buildsystem=meson

override_dh_auto_clean:
	dh_auto_clean
	make clean

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dpython.purelibdir=/usr/lib/python3/dist-packages \
		-Dpython.platlibdir=/usr/lib/python3/dist-packages \
		-Dpython.bytecompile=-1 $(NETPLAN_FLAGS)

=== debian/tests/control ===
--- 
+++ 
@@ -67,6 +67,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
+  python3-packaging,
 Restrictions: allow-stderr, needs-root, isolation-container
 Features: test-name=routing
 
@@ -103,4 +104,3 @@
 Tests-Directory: tests/integration
 Depends: @,
   systemd-resolved | systemd (<< 251.3-2~),
-  network-manager,

## netplan.io 1.1.1

=== debian/changelog ===
netplan.io (1.1.1-1~ubuntu24.10.1) oracular; urgency=medium

  * Backport netplan.io 1.1.1-1 to 24.10 (LP: #2077011)
    - NM: add support for stable-ssid MAC option !524 (LP:2084234)
    - wpa_supplicant: add ExecReload to the service unit !523
    - Create snippet files for single-sourcing repetitive instructions !505
    - doc: Add initial 'Cryptography' section !517
    - Several code cleanup & fixes for TiCS !507
    - tests: ethernets: Add ipv6-address-generation integration tests !509
    - cli: drop python-netifaces !503 (LP:2065870, LP:2017585)
    - parse-nm: account for veth and dummy when checking for virtual types !513
    - Avoid dependency on dbus-python !511
    - tests: Improve vrf/wireguard modprobe check inside containers !510
    - tests:ethernets: avoid flaky test_ip6_eui64 results !514
    - ovs: quote external-ids and other-config values !512 (LP:2070318)
    - Handle implicit conversions !496
    - Use more permissive umask for .service units !516 (LP:2072486)
    - Revert "apply: make sure that networkd is restarted when needed" !518
      (LP:2078009)
    - Handling encoding issues on netplan status !521 (LP:2079975)
    - include: fix apidoc warnings about undocumented parameters
  * d/t/control: Add breaks-testbed for more robust CI
  * d/rules: Improve 'filter nocheck' test, to avoid double 'nocheck' confusion
  * d/{rules,control}: Utilize dh-python
  * d/control:
    + Change Maintainer to Networking team
    + Mark udev as a runtime dependency
    + Drop python3-{dbus,netifaces} dependencies, not needed anymore
    + Add ethtool dependency, needed as of 1.1.1

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 22 Oct 2024 15:09:03 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),nocheck)
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
     export NETPLAN_FLAGS="-Dtesting=false"
 endif
 
 %:
-	dh $@ --buildsystem=meson
+	dh $@ --buildsystem=meson --with=python3
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   python3-gi,
   gir1.2-nm-1.0,
   openvswitch-switch,
-Restrictions: allow-stderr, needs-root, isolation-container, skip-not-installable, skippable
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container, skip-not-installable, skippable
 Features: test-name=ovs
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=ethernets
@@ -25,7 +25,7 @@
   python3-gi,
   gir1.2-nm-1.0,
   ethtool,
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
 Features: test-name=ethernets
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=bridges
@@ -39,7 +39,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
 Features: test-name=bridges
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=bonds
@@ -53,7 +53,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
 Features: test-name=bonds
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=routing
@@ -68,7 +68,7 @@
   python3-gi,
   gir1.2-nm-1.0,
   python3-packaging,
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
 Features: test-name=routing
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=vlans
@@ -82,7 +82,7 @@
   libnm0,
   python3-gi,
   gir1.2-nm-1.0,
-Restrictions: allow-stderr, needs-root, isolation-container
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container
 Features: test-name=vlans
 
 Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=wifi
@@ -97,10 +97,6 @@
   python3-gi,
   gir1.2-nm-1.0,
   iw,
-Restrictions: allow-stderr, needs-root, isolation-container, flaky
+Restrictions: allow-stderr, breaks-testbed, needs-root, isolation-container, flaky
 Features: test-name=wifi
 
-Test-Command: ./debian/tests/prep-testbed.sh && python3 tests/integration/run.py --test=tunnels
-Tests-Directory: tests/integration
-Depends: @,
-  systemd-resolved | systemd (<< 251.3-2~),
